SIRIL(1)

NAME
siril - image processing tool for astronomy and others

SYNOPSIS
siril [-i conf_file] [-f] [-v] [-h] [-p] [-d working_directory] [-s script_file] [image_file_to_open]

DESCRIPTION
Siril is an image processing tool specially tailored for noise reduction and improving the signal/noise ratio of an image from multiple captures, as required in astronomy. Siril can align, stack and enhance pictures from various file formats, even image sequences (movies and SER files).

OPTIONS

-i  Starts Siril with configuration file which path is given in conf_file

-f  (or --format) Prints all supported image input formats, depending on the libraries detected at compile-time

-v  (or --version) Prints program name and version and exits

-h  (or --help) Short usage help

-p  Start siril without the graphical user interface and use the named pipes to accept commands and print logs and status information. On POSIX systems, the named pipes are created in /tmp/siril_commands.in and /tmp/siril_commands.out

-d  (or --directory) Setting argument in cwd

-s  Start siril without the graphical user interface and run a script instead. Scripts are text files that contain a list of commands to be executed sequentially. In these files, lines starting with a # are considered as comments.

image_file_to_open
    Open an image or sequence file right after start-up

FILES
~/.siril/siril.cfg
    User preferences. Overridden by the -i option.
~/.siril/gtk.css
    The stylesheet used to change colours of the graphical user interface. This is useful for personalisation or if a GTK theme is incompatible with some coloured elements of Siril.

BUGS
A list of bugs is maintained in a mantisbt bug tracker, available at https://free-astro.org/bugs/

AUTHOR
Vincent Hourdin <debian-siril at free-astro.org> Cyril Richard <cyril at free-astro.org>